Get the detailed records consumption
Returns the detailed records consumption (breakdown by collection) for the given parameters. This endpoint accepts the following combinations of parameters:
-
If no parameters provided, the current contract period is calculated, then data is returned based on that period.
-
If
startDateandendDateare provided, then the data is returned based on that date range. -
If
licenseIdandperiodIndexare provided, then the data is returned based on that specific period data. -
Other combination of parameters result in an error.
Query Parameters
The results start date, formatted as yyyy-MM-dd.
The results end date, formatted as yyyy-MM-dd.
The entitlements license ID. Use /apps-manager/entitlements/periods to get license IDs.
The entitlement period index in the license. Use /apps-manager/entitlements/periods to get period indices.
Response
OK
[
{
"date": "2024-03-25",
"points": [
{ "collection": "Ratings", "count": 0 },
{
"collection": "Trending_Searches",
"count": 6
},
{ "collection": "Feedback", "count": 0 },
{
"collection": "EnterpriseSearch",
"count": 755
},
{
"collection": "Trending_Docs",
"count": 14
},
{
"collection": "default_collection",
"count": 929119
},
{ "collection": "FAQ", "count": 0 }
]
},
{
"date": "2024-03-26",
"points": [
{ "collection": "Ratings", "count": 0 },
{
"collection": "Trending_Searches",
"count": 6
},
{ "collection": "Feedback", "count": 0 },
{
"collection": "EnterpriseSearch",
"count": 755
},
{
"collection": "Trending_Docs",
"count": 14
},
{
"collection": "default_collection",
"count": 929119
},
{ "collection": "FAQ", "count": 0 }
]
}
]